/*
 *	essai sur la vision interieur d'un batiment
 */

#version 3.7;

global_settings {
		ambient_light rgb <0.11, 0.10, 0.10>
		assumed_gamma 1.0
		max_trace_level 5
		}

/* system includes */
#include  "colors.inc"
#include  "textures.inc"
#include  "stones.inc"
#include  "metals.inc"
#include  "woods.inc"
#include  "glass.inc"

/*** my includes ***/

// #declare  LOG_RANDOM = 0;		/* see values.inc */

#include  "values.inc"
#include  "reperes.inc"
#include  "vaisselle.inc"
#include  "meubles.inc"
#include  "lumieres.inc"
#include  "supports.inc"			// new Thu 22 Dec 2022
#include  "cubes.inc"				// added Sun 08 Jan 2023

#include  "elements.inc"
#include  "bidules.inc"
#include  "decorations.inc"
#include  "grostrucs.inc"
#include  "rotonde.inc"
#include  "chateau.inc"
#include  "annexe.inc"
#include  "univers.inc"
#include  "jardin.inc"
#include  "steles.inc"
#include  "monster.inc"

/*    ------------------------------------------------------    */
/*
 *		assemblage final
 */

#declare ShowWall = 1;
#include  "batiment.inc"

#include "assemblage.inc"
object { Assemblage_Final }

/*    ------------------------------------------------------    */

#local AngleCam = 95 - 27*Cos_010(NormClock);

#include  "paramove.inc"
#local Offset = 0.134;
#local XYZ_loc_cam = LOC_camera( NormClock + Offset );
#local XYZ_lat_cam = LAT_camera( NormClock + Offset );

#fopen CL "WS/cam.indoor" append
#write (CL, clock, " ", CamX, " ", CamY, " ", CamZ,
		" ", LatX, " ", LatY, " ", LatZ,"\n")
#fclose CL

#local Pos_Rep = Interpolate(XYZ_loc_cam, XYZ_lat_cam, 0.400);
#if (mod(clock, 80) < 20)
  // object { Repere scale 2.5 translate Pos_Rep + <1, -1, 1>  }
#end

camera	{
	// location	<CamX, CamY, CamZ>
	location	XYZ_loc_cam
	look_at		XYZ_lat_cam
	right		x*image_width/image_height
	angle 		AngleCam
	}

/*    ------------------------------------------------------    */
